Bug 269942 - Mouse scrolling in Columns View has "page up/down" effect
Summary: Mouse scrolling in Columns View has "page up/down" effect
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: columns mode (show other bugs)
Version: 16.12.2
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2011-04-02 15:02 UTC by quentin.denis
Modified: 2011-04-10 19:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description quentin.denis 2011-04-02 15:02:01 UTC
Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

the scrolling in the split view recently changed its behavior: a single mouse scroll has a "page down" effect. I would like to have back a "line down", or even better a smooth scroll effet.

Reproducible: Always




OS: Linux (x86_64) release 2.6.37.1-1.2-desktop
Compiler: gcc
Comment 1 Frank Reininghaus 2011-04-03 10:43:27 UTC
Thanks for the bug report. I can confirm in master.
Comment 2 Peter Penz 2011-04-10 19:18:19 UTC
Git commit 50d54250591a1f817ddd63f29a7354c957c56cbc by Peter Penz.
Committed on 10/04/2011 at 19:21.
Pushed by ppenz into branch 'master'.

Column View: Keep wheel-behavior consistent with other views

Using the wheel in the column view resulted in too big jumps. Keep it
consistent with the details view and icons view.

BUG: 269942
FIXED-IN: 4.7.0

M  +1    -0    dolphin/src/views/dolphincolumnview.cpp     

http://commits.kde.org/kde-baseapps/50d54250591a1f817ddd63f29a7354c957c56cbc